Introduction

WordQuiz

WordQuiz is a tool that gives you a powerful way to master the vocabulary of a new language.

Easy to use

With WordQuiz you build your own vocabulary documents in a simple and intuitive way. The basic layout is a two-column spreadsheet where you type vocabulary entries in the language you know and the language you want to learn. You change the headers of the columns to reflect the languages you use.

Practice modes

Before you start a quiz you select how you want to practise. WordQuiz offers five different modes to make practicing more efficient. The different modes make it possible to have the quiz go through your vocabulary in sequential or random order in one or both directions.

Quiz types

When you have entered your vocabulary and selected a mode you are ready to start a quiz. The vocabulary document is minimized during the quiz so you can't cheat. Maybe you want to start with a study session, then you can move on to a multiple choice quiz or do the powerful question and answer quiz. You get instant feedback on correct and incorrect answers and you have the option to repeat any errors, further improving your learning efficiency. If you need a little extra help you can use the hint function.

Vocabulary documents

WordQuiz saves your vocabulary documents in its own file format. You will recognize the files by their .wql extension and the WordQuiz icon. You can have several files open at the same time and easily copy or move entries between files. In this way you can also combine several documents to one large if you need to practise for e. g. a final exam.

© 1997-1999 Peter Hedlund. All rights reserved.


Installing WordQuiz

Installation

Note: If you are upgrading from an earlier version, please see important note below.

To install WordQuiz on your computer simply run the Setup program. It will place all required files in a destination directory you specify, as well as place supporting files in your Windows System directory.

A shortcut will be placed in the program folder of the Start menu.

Please keep all files installed in the original directory, since WordQuiz may not function properly if you move e. g. the help file.

WordQuiz has a full uninstall feature if you decide you want to remove it for some reason.

WordQuiz is shareware. If you continue to use it you are required to register your copy. The unregisterd version is fully functional. When you have registered, the reminders shown every now and then will disappear. Limitations from previous versions have been removed.

Important: If you are upgrading from an earlier version of WordQuiz, it's recommended that you uninstall the older version before you install the new version.


Menu Index

WordQuiz Menus

File Menu

Edit Menu

Vocabulary Menu

Mode Menu

Quiz Menu

Window Menu

Help Menu


File Menu

File Menu Commands

The File menu provides commands to work with the vocabulary documents created with WordQuiz. A short description of each item follows:

New

Creates a new blank vocabulary document. The Ctrl+N shortcut can be used for this command, or use the corresponding button on the toolbar.

Open...

Opens an existing vocabulary file, and loads it for viewing. When this item is selected the standard Windows Explorer File dialog will be displayed, use it to select the vocabulary file you wish to work with. The Ctrl+O shortcut can be used for this command, or use the corresponding button on the toolbar.

Close

Closes the active vocabulary document. You will be alerted to save any changes. The Ctrl+W shortcut can be used for this command.

Save

Saves the currently active vocabulary document. If it has not previoulsly been saved, the Save As... command will be invoked. The Ctrl+S shortcut can be used for this command, or use the corresponding button on the toolbar.

Save As...

Displays the standard Windows Explorer File dialog allowing you to specify a new name for the currently active vocabulary document and save it to disk.

Page Setup...

Displays a standard dialog for changing printer settings.

Print Preview...

Displays a preview of the currently active vocabulary document as it will appear on a printed page. A corresponding button on the toolbar can be used for this command

Print...

Prints the currently active vocabulary document. First the standard Windows Print dialog is shown where you can select if all or a specified range of pages should be printed. The Ctrl+P shortcut can be used for this command, or use the corresponding button on the toolbar.

Recent Files

As you work with WordQuiz the four most recently used vocabulary documents will be shown on the menu. Open them by selecting the corresponding menu item.

Exit

Closes the WordQuiz application and returns control to the Explorer desktop. You will be alerted to save any changes to open documents. The Alt+F4 shortcut can be used for this command.

Tip Commonly used File commands can be invoked using shortcut keys or buttons on the toolbar.


Edit Menu

Edit Menu Commands

The Edit menu contains commands used to edit the content of the active vocabulary document. A short description of each item follows:

Undo

Undo will reverse the last edit action. The name of the command will change to reflect exactly what will be undone. The Ctrl+Z shortcut can be used for this command, or use the corresponding button on the toolbar.

Cut

Cut will remove the current selection and place it on the Clipboard. The Ctrl+X shortcut can be used for this command, or use the corresponding button on the toolbar.

Copy

Copy will place a copy of the current selection on the Clipboard. The Ctrl+C shortcut can be used for this command, or use the corresponding button on the toolbar.

Paste

Paste will paste the content of the Clipboard into the current selection. The Ctrl+V shortcut can be used for this command, or use the corresponding button on the toolbar.

Clear

Clear will remove the current selection. The Del shortcut can be used for this command.

Insert

Insert will place a new row in the document grid. The new row will be placed above the current row. If the selection extends over more than one row, an equal number of rows will be added. The Ctrl+I shortcut can be used for this command, or use the corresponding button on the toolbar.

Delete

Delete will remove the current row. If the selection extends over more than one row, all selected rows will be deleted. The Ctrl+K shortcut can be used for this command, or use the corresponding button on the toolbar.

Find...

You can search for any text in your vocabulary. The Ctrl+F shortcut can be used for this command, or use the corresponding button on the toolbar. Read more about the dialog shown by this command.

Replace...

Use this command to search for any text in your vocabulary and replace it with something else. The Ctrl+H shortcut can be used for this command. Read more about the dialog shown by this command.

Tip Commonly used Edit commands can be invoked using shortcut keys or buttons on the toolbar.


Vocabulary Menu

Vocabulary Menu Commands

The vocabulary menu contains commands for changing the appearance of the vocabulary document. A short description of each item follows:

Languages...

Defines the headers of the two columns in the vocabulary document. The information will be used to update the Mode Menu. The Ctrl+L shortcut can be used for this command, or use the corresponding button on the toolbar. Read more about the dialog shown by this command.

Row Height...

Use this to adjust the height of individual rows in the vocabulary document. Read more about the dialog shown by this command.

Column Width...

Use this to adjust the width of the columns in the vocabulary document. Read more about the dialog shown by this command.

Font...

Changes the font used to display the vocabulary document. The settings will apply to the whole document. You can also specify the font to be used when creating new documents. A corresponding button on the toolbar can be used for this command. Read more about the dialog shown by this command.

Sort...

Used to sort the entries in your vocabulary. A corresponding button on the toolbar can be used for this command. Read more about the dialog shown by this command.

Tip Commonly used Vocabulary commands can be invoked using shortcut keys or buttons on the toolbar.


Mode Menu

Mode Menu Commands

The menu provides five different modes for the quiz. A short description of each item follows:

Note that the menu names will change to reflect the language headers of the currently active vocabulary document. The mode must be selected before a quiz is started. The selected mode will apply to Study sessions, Multiple Choice and Question & Answer.

Language 1 -> Language 2 In Order

During the quiz you will be given the entries of Language 1 and asked to provide the corresponding Language 2 entries. This will be done in the order the entries appear in the vocabulary document. You can also use the corresponding item on the toolbar drop-down.

Language 2 -> Language 1 In Order

During the quiz you will be given the entries of Language 2 and asked to provide the corresponding Language 1 entries. This will be done in the order the entries appear in the vocabulary document. You can also use the corresponding item on the toolbar drop-down.

Language 1 -> Language 2 Randomly

During the quiz you will be given the entries of Language 1 and asked to provide the corresponding Language 2 entries. This will be done in a random order, but each entry will be asked once. You can also use the corresponding item on the toolbar drop-down.

Language 2 -> Language 1 Randomly

During the quiz you will be given the entries of Language 2 and asked to provide the corresponding Language 1 entries. This will be done in a random order, but each entry will be asked once. You can also use the corresponding item on the toolbar drop-down.

Language 1 <-> Language 2 Randomly

During the quiz you will be given an entry of either Language 1 or Language 2 and asked to provide the corresponding entry in the other language. This will be done in a random order for both language and entry. Each possible combination will be asked once. You can also use the corresponding item on the toolbar drop-down.

Tip Commonly used Mode commands can be invoked using shortcut keys or buttons on the toolbar.


Quiz Menu

Quiz Menu Commands

The quiz menu contains commands for starting the different quizzes. A short description of each item follows:

Study...

Will start a study session using the active vocabulary and the mode you have selected. You can also use the corresponding item on the toolbar drop-down. Read more about the dialog shown by this command.

Multiple Choice...

Will start a quiz with multiple choice questions using the active vocabulary and the mode you have selected. One of three choices is correct, the two others are selected randomly from the vocabulary. You can also use the corresponding item on the toolbar drop-down. Read more about the dialog shown by this command.

Question & Answer...

Will start a quiz where you type the word corresponding to the one shown using the active vocabulary and the mode you have selected. You can also use the corresponding item on the toolbar drop-down. Read more about the dialog shown by this command.

Tip Commonly used Quiz commands can be invoked using shortcut keys or buttons on the toolbar.


Window Menu

Window Menu Commands

The menu contains commands for arranging and activating open windows. A short description of each item follows:

Cascade

Open windows will be arranged in an overlapping cascade.

Tile Horizontally

Open windows will be arranged horizontally as non-overlapping tiles.

Tile Vertically

Open windows will be arranged vertically as non-overlapping tiles.

Arrange Icons

Minimized window icons will be arranged.

Window List

A list will be maintained of all open windows. When one is selected the corresponding window will be placed topmost and become the active window.


Help Menu

Help Menu Commands

The menu contains commands for accessing information on how to use WordQuiz and information about the program. A short description of each item follows:

Help Topics

Will display this help file where you can find and search for information on how to get the most out of WordQuiz.

About WordQuiz...

Will display a dialog with information about WordQuiz. The dialog also provides hyperlinks to the WordQuiz home page on the internet. Read more about the dialog shown by this command.

When you have registered WordQuiz you click the Register button to enter your user name and registration code. Read more about the dialog shown by this command.

Tip Commonly used Help commands can be invoked using shortcut keys or buttons on the toolbar.


Main Window

The main application window has three parts:

1. Toolbar
2. Document Window Area
3. Statusbar

Toolbar

The toolbar provides buttons for easy access to commonly used commands.

Document Window Area

Used to display open documents.

Statusbar

The left panel of the statusbar is used to provide additional information about menu commands and toolbar buttons, as well as other useful tips. The middle panel displays the position of the current selection in the active document. Progress when opening or saving large documents is also shown here. The right panel is used to show the currently selected quiz mode.


Document Window

The vocabulary document window has the appearance of a spreadsheet-like grid. The grid consists of cells organized in two columns and a number of rows. Each column and row has a header. The column headers are used to specify the languages of the vocabulary document. They can be set by selecting the Vocabulary/Languages command, or by right-clicking in the grid and selecting Languages from the popup menu. The row headers number the rows consecutively.

You can click in a cell of the grid to make it the active cell. You can select several cells for copying or other editing by dragging over them with the left mouse button down. To select entire rows or columns click in the headers.

Place your mouse on the part of the document window you want to know more about.

In the document you build a vocabulary of pair-wise entries in the two columns. You can enter text into the active cell simply by starting to type. The cell will now be in edit mode and you can select all or part of the text. You can also edit a cell by double-clicking it and make changes directly in the cell.

When you have finished typing one entry, press the return key and the next cell will automatically become active. Hence, it's easy to quickly type several entries. When you reach the bottom row of the grid, a new row will be added as you press return, so you can just continue to type. When a new window is created it has 100 rows, but there is really no limit to the number of rows you can have in a document.


Print Preview Window

The print preview window has three parts:

1. Toolbar
2. Preview Page
3. Statusbar

Toolbar

The toolbar provides buttons for easy access to commonly used commands.

Preview Page

The preview page shows a 33% representation of a page as it will appear when printed. You can enlarge the wiew to 50 or 100% by clicking on the preview. Ctrl+click will reduce the preview again.

Statusbar

The left panel of the statusbar is used to provide additional information about menu commands and toolbar buttons, as well as other useful tips.


Toolbar Buttons, Main Window

Most commonly used WordQuiz menu commands can also be quickly invoked by pressing a button on the toolbar displayed at the top of the main window.

These buttons work exactly the same way as the corresponding menu items that they duplicate.

Place your mouse on the button you want to know more about.


Toolbar Buttons, Print Preview Window

Toolbar Buttons, Preview Window

Most commonly used WordQuiz menu commands can also be quickly invoked by pressing a button on the toolbar displayed at the top of the main window.

Place your mouse on the button you want to know more about.


Shortcut Keys

Shortcuts

Shortcut keys allow you to quickly invoke WordQuiz commands without first displaying the menu and then selecting an item from it. The most commonly used WordQuiz commands can be invoked using the following shortcuts.

File Menu
Ctrl+N | Creates a new vocabulary document
Ctrl+O | Open an existing vocabulary document
Ctrl+W | Closes the active vocabulary document
Ctrl+S | Saves the active vocabulary document
Alt+F4 | Exit WordQuiz, and return to the Windows desktop
Edit Menu
Ctrl+Z | Undoes the last command
Ctrl+X | Removes the current selection and places it on the Clipboard
Ctrl+C | Copies the current selection to the Clipboard
Ctrl+V | Pastes the content of the Clipboard into the current selection
Del | Removes the current selection
Ctrl+I | Inserts a new row in the document grid
Ctrl+K | Removes the selected row(s) from the document grid
Ctrl+F | Find specified text in your vocabulary
Ctrl+H | Replaces specified text with different text in your vocabulary
Vocabulary Menu
Ctrl+L | Changes the Language headers of the vocabulary document
Help Menu
F1 | Displays this Help file. If you have a menu selected and then press F1, help for that menu command will be shown.


Find Dialog

Place your mouse on the part of the dialog you want to know more about.


Replace Dialog

Place your mouse on the part of the dialog you want to know more about.


Language Dialog

Place your mouse on the part of the dialog that you want to know more about.


Row Height/Column Width Dialog

The Column Width dialog is very similar. You simply enter the desired column width instead.

Place your mouse on the part of the dialog you want to know more about.


Font Dialog

Place your mouse on the part of the dialog you want to know more about.


Sort Dialog

Place your mouse on the part of the dialog you want to know more about.


Study Dialog

This dialog is used for study sessions on the entries of the active vocabulary document. The mode selected in the Mode menu will be used. To properly keep track of the session the mode can only be changed before you start the session.

Place your mouse on the part of the dialog you want to know more about.


Multiple Choice Dialog

This dialog is used to perform a Multiple Choice quiz on the entries of the active vocabulary document window. The mode selected in the Mode menu will be used. To properly keep track of the quiz the mode can only be changed before you start the quiz.

In the example below the user gave an incorrect answer to the previous question. He/she is now about to answer the next question.

Place your mouse on the part of the dialog you want to know more about.


Question & Answer Dialog

This dialog is used to perform a Question & Answer quiz on the entries of the active vocabulary document. The mode selected in the Mode menu will be used. To properly keep track of the quiz the mode can only be changed before you start the quiz.

In the example below the user gave a correct answer to the previous question (to see how incorrect answers are handled, see the Multiple Choice dialog). He/she is now answering the next question and will then click the Check button (or press Return).

Place your mouse on the part of the dialog you want to know more about.


About Dialog

Place your mouse on the part of the dialog you want to know more about.


Register Dialog

Place your mouse on the part of the dialog you want to know more about.


Upgrades and Feedback

If you have comments, questions or find any bugs in WordQuiz please feel free to contact me.

Peter Hedlund

E-mail: phedlund@geocities.com

Web Site: http://www.geocities.com/SiliconValley/Lakes/9010

Visit the web site on the Internet to download the latest version of WordQuiz.


Release History

WordQuiz Release History

v1.0 May 1998

The first public release of WordQuiz as a stand-alone application for Windows 95.

v2.0 June 1998

New features

The vocabulary document now has a fully editable grid. All typing and editing can be done directly in the individual cells.

When doing a quiz you can get a hint to the correct answer. Clicking a button will give you the first letter of the answer. Another click will give you the next letter and so on. You have the option whether answers were you use the hint functions should be counted as correct or always be counted as errors.

A new cool design of the toolbar buttons.

Bug fixes

Corrected a bug where documents dropped on the application window where not always correctly opened.

Registry entries should now be properly removed if you uninstall WordQuiz.

Minor bug fixes and code refinement.

v2.1 July 1998

Maintenance release. Documentation updated to include various options for on-line registration.

Minor bug fixes and code refinement.

v3.0 April 1999

New features

Three different types of quizzes can now be performed. The first is really a study mode, where you can go through your vocabulary in an organized way, even automatically if you want. The second is a multiple choice quiz where you are given three alternative answers to the question. One option is correct and the other two are taken randomly from the vocabulary. The third type is the original question and answer quiz where you type the full answer to the question.

Added functions to find and replace text in the vocabulary.

Added ability to change the display font of the vocabulary. In relation to this the row heights and column widths of the documents are fully customizable.

Added functions to sort the vocabulary.

Redesigned the toolbars (again!) and various other parts of the interface.

WordQuiz should now properly remember its window position between sessions.

Additional minor bug fixes and code refinement.

Plans for future releases:

Add ability to select different fonts for individual entries in the vocabulary document.


Removing WordQuiz

WordQuiz has full uninstall support. Open Add/Remove Programs in the Control Panel, select WordQuiz from the list and click the Add/Remove... button.

This will remove all installed components. If you have created any extra shortcuts pointing to WordQuiz, you have to remove these separetely.


WordQuiz is Shareware

WordQuiz is distributed as shareware. The author of Shareware retains all rights to the software under the copyright laws while still allowing free distribution. This gives the user the chance to freely obtain and try out software to see if it fits their needs. Shareware should not be confused with Public Domain software even though they are often obtained from the same sources.

If you continue to use Shareware after trying it out, you are expected to register your use with the author and pay a registration fee. By paying the fee you usually obtain support and free upgrades as they become avialable. Only by paying for the Shareware you use do you enable the Shareware author to continue to support his software and create new programs. Considering that the Shareware registration fees are almost always far less than the purchase price of comparable commercial software it's obvious that Shareware is a good deal for everyone.

There are real advantages to you in the Shareware system. You get to try out software to make sure it is compatible with your hardware and that it fits your needs before you "buy" it with your registration. The author saves the expense of advertising, packaging and distribution and passes the savings on to you. Plus, most Shareware authors are much more accessible than commercial software sources so that your questions and suggestions are much more likely to be responded to.

Thank you for your support.


Registering WordQuiz

WordQuiz is distributed as shareware. You may evaluate it free of charge for 30 days. After 30 days if you continue to use WordQuiz you are required to register it. If after evaluating WordQuiz for 30 days you decide not to register it you are required to remove it from your computer.

Registration entitles you to unlimited free updates and support.

There are several ways to register WordQuiz. Please read about the various options here.

When you have registered WordQuiz you will receive your registration code by e-mail, or optionally you may request that your registration code be mailed to you. If you register on-line you will normally receive the registration code within 24 hours.

The software you are currently using is a fully functioning program. There are no time limitations built into the software to restrict its continued use and no program features have been disabled. The only difference compared to the registered version is that a reminder to register will be shown every now and then.

To register your copy of WordQuiz select the Help/About menu command and click on the Register button. The Register dialog will be displayed. Use this window to fill in the following entry fields:

User Name

Enter the user name you originally specified when you ordered WordQuiz.

Registration Code

Enter the registration code that was provided to you. Enter your registration code exactly as provided. Do not include spaces when entering your registration code.

Note The registration code was provided to you when you registered WordQuiz. Refer to the notification letter that was mailed to you or the e-mail message you received for your personal shareware registration code.


Registration Fee Information

WordQuiz is distributed as shareware. You may evaluate it free of charge for 30 days. After 30 days if you continue to use WordQuiz you are required to register it. If after evaluating WordQuiz for 30 days you decide not to register it you are required to remove it from your computer.

Registration entitles you to unlimited free updates and support.

There are several ways to register WordQuiz. When you register WordQuiz you will receive your registration code by e-mail, or optionally you may request that your registration code be mailed to you.

The software you are currently using is a fully functioning program. There are no time limitations built into the software to restrict its continued use and no program features have been disabled. The only difference compared to the registered version is that a reminder to register will be shown every now and then.

Single User Registration

Individual users can register WordQuiz for US $20.00. If you would also like a 3 ½" floppy disk sent to you please add an additional US $5.00. If you choose to register through Shareware-Australia the fee is Australian $35.00 with an extra $10.00 for floppies. Registration entitles you to unlimited free updates and support. You can always download the latest release of WordQuiz directly from the WordQuiz web site on the Internet.

Multiple User Registration

If you would like to register WordQuiz for use on several computers, please contact the author for licensing information.


Registration

WordQuiz Registration

WordQuiz is distributed as shareware. It means that you can download the program and try it out, but if you decide to keep on using it you should register your copy of WordQuiz and pay a registration fee.

By registering you encourage the continued support and development of the program. As a registered user you are entitled to unlimited free support and upgrades. Registration will also remove the limitation of the vocabulary document size imposed in the shareware version.

The registration fee is $20.00 for a single user license. Once you have registered WordQuiz you will receive a code by email. Use this code to remove the registration reminders. If you register on-line you will normally receive the code within 24 hours.

There are several ways to register WordQuiz:

Credit card registration

All credit card registrations are handled by Register Now.

On-line
Go to the Order Form and fill it out.

Fax
Within the USA you can call toll free 1 888 353 7276
From outside the USA call US (425) 392 0223

An easy way is to fill out the Order Form, print it and then send it by fax.

Phone
Within the USA you can call toll free 1 877 353 7297
From outside the USA call US (425) 392 2294

Register by mail

Use this order form to register by mail.

Users in Australia and New Zealand

WordQuiz is offered to you through Shareware-Australia. They provide a number of options for registration, including on-line registration. You can also use this order form. When using this option the fee will be AU$ 35.


WordQuiz Order Form

To print this order form, press the Print button above, or select Print... from the menu.

To order by check, send this order form and a check to:

Peter Hedlund
13135 Kellam Court
San Diego, CA 92130, U.S.A.

Payments must be in US dollars drawn on a US bank, or you can send international postal orders in US dollars.

All orders are subject to the License Agreement.

Customer information is considered confidential and will not be shared or distributed to any third parties.

Registered users of WordQuiz are entitled to unlimited free program updates.

Single User Copy | ______ at $20.00 each = ________
Optional 3 ½" Disk | ______ at $5.00 each = ________
 |  | Total Payment:________

Date | ____________________________________
Name | ____________________________________
Shipping Address | ____________________________________
 | ____________________________________
City | ____________________________________
State | ____________________________________
Zip Code | ____________________________________
Country | ____________________________________
Day Phone | ____________________________________
E-mail Address | ____________________________________

[ ] Please send registration code via e-mail

Comments:


WordQuiz Australian Order Form

To print this order form, press the Print button above, or select Print... from the menu.

WordQuiz products are available in Australia/New Zealand from our local distributor Shareware-Australia.

The price of WordQuiz is Australian $ 35.00

Registration is by provision of a registration code to unlock the shareware version.

If you require a copy of the program on disk there is a S&H charge of A$ 10.00.

If you have the shareware version you do not need the disk.

You can order by phone, fax, email, or postal mail.

Fax your order to (02) 9565-2362

Phone your order to (02) 9565-2339

Email your order to sales@shareware-australia.com

Visit our web site http://www.shareware-australia.com

Mail your order to

Shareware-Australia
PO Box 1075
Maroubra NSW 2035

Payment can be made by Cheque, Money Order, Bankcard, Mastercard, Visacard, or American Express.

Name:_____________________________________________________

Address: ___________________________________________________

Address2: __________________________________________________

Phone: ____________Fax: ____________ Email: ___________________

Paid by Cheque/Money Order [ ] Credit Card [ ]

Credit Card No. ______________________________________________

Expiry Date: __________ Signature: ______________________________

Please supply

______ copies of WordQuiz @ AU$ 35.00 each | $______
Postage & Handling of program on disk if required @ AU$ 10.00 | $______
Total | $______


License Agreement

You should carefully read the following terms and conditions before using this software. Your use of this software indicates your acceptance of this license agreement and warranty.

Registered Version

One registered copy of WordQuiz may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both.

Software Updates

Registered users of WordQuiz are entitled to unlimited free program updates. Software updates can be downloaded directly from the WordQuiz web site on the Internet.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE LICENSED "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. ANY LIABILITY OF THE AUTHOR WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.


.topic 20000
Creates a new blank vocabulary document. (Ctrl+N)

.topic 20001
Opens an existing vocabulary document, and loads it for viewing. (Ctrl+O)

.topic 20002
Saves the currently active vocabulary document. If it has not previously been saved, the Save As... command will be invoked. (Ctrl+S)

.topic 20003
Prints the currently active vocabulary document. First the standard Windows Print dialog is shown where you can select if all or a specified range of pages should be printed. (Ctrl+P)

.topic 20004
Displays a preview of the currently active vocabulary document as it will appear on a printed page.

.topic 20005
Cut will remove the current selection and place it on the Clipboard. (Ctrl+X)

.topic 20006
Copy will place a copy of the current selection on the Clipboard. (Ctrl+C)

.topic 20007
Paste will paste the content of the Clipboard into the current selection. (Ctrl+V)

.topic 20008
Undoes the last command. Check the tooltip or menu caption to see exactly what will be undone. (Ctrl+Z)

.topic 20009
Inserts a new row above the selected row. (Ctrl+I)

.topic 20010
Deletes the selected row(s). (Ctrl+K)

.topic 20011
Finds text in the vocabulary. (Ctrl+F)

.topic 20012
Changes the display font of the vocabulary.

.topic 20013
Sorts the entries in the vocabulary.
.topic 20014
Changes the language headers of the vocabulary. (Ctrl+L)

.topic 20015
Changes the quiz mode (step through or use the dropdown).

.topic 20016
Starts a quiz (use the dropdown if you want another type of quiz).

.topic 20017
Activates What's This Help. Click and the click on the object you want to know more about.

.topic 20018
Will display the previous printed page in the document.

.topic 20019
Will display the next printed page in the document.

.topic 20020
Displays a standard dialog for changing printer settings.

.topic 20021
Prints the currently displayed vocabulary document. First the standard Windows Print dialog is shown where you can select if all or a specified range of pages should be printed. The Ctrl+P shortcut can be used for this command.

.topic 20022
Will close the preview window and return you to the main document window.

.topic 20023
By clicking on this button the mouse pointer will change to an arrow-questionmark and you can click on a window item you want to know more about.

.topic 20024
This is the Language dialog. Click directly on the item you want to know more about.

.topic 20025
Enter language or other identifier you want to appear in the header of the first column.

.topic 20026
Enter language or other identifier you want to appear in the header of the second column.

.topic 20027
Click this button to apply your changes to the two language edit boxes.

.topic 20028
Click this button to discard your changes to the two language edit boxes.

.topic 20029
This is the About dialog. Click on the part that you want to know more about.

.topic 20030
Clicking this link will automatically take you to the WordQuiz web site on the Internet so that you can see if there is an update available.

.topic 20031
This link will start your e-mail program so that you can send support questions or give feedback.

.topic 20331
This link will open the main help file and show more information on how to register WordQuiz.

.topic 20032
Click this button to close the dialog. Pressing Return or Esc on the keyboard will have the same effect.

.topic 20033
Click this button to enter your user name and the registration code you received when registering WordQuiz. Once you have registerd this button will not be shown.

.topic 20034
This is the Register dialog. Click on the part that you want to know more about.

.topic 20035
Enter your name exactly as it appears on your registration confirmation.

.topic 20036
Enter the registration code provided on your registration confirmation. No spaces.

.topic 20037
Click this button to enter your registration information.

.topic 20038
Click this button to cancel changes to the registration information.

.topic 20039
This is the Document window. Click on the part you want to know more about.

.topic 20040
Language 1 header. You can change this header by selecting Languages... either from the Quiz menu or from the popup menu that appears if you right-click on the document window.

.topic 20041
Language 2 header. You can change this header by selecting Languages... either from the Quiz menu or from the popup menu that appears if you right-click on the document window.

.topic 20042
Document grid. Enter words or expressions pair-wise in the cells. Type directly into the active cell or edit a cell entry. Double click a cell to edit its content.

.topic 20043
This is the Find dialog. Place your mouse directly on the item you want to know more about.

.topic 20044
Type the text you want to search for.

.topic 20045
Select if you want to search the whole document or just column 1 or column 2.

.topic 20046
Check if you want the search to be case sensitive (a is different from A).

.topic 20047
Check if you want to find whole words only, not parts of words.

.topic 20048
Click this button to start the search.

.topic 20049
Click this button to expand the dialog to also include the ability to replace text.

.topic 20050
Click this button to close the dialog.

.topic 20051
This is the Replace dialog. Place your mouse directly on the item you want to know more about.

.topic 20052
Type the text you want replacing the old text.

.topic 20053
Click this button to replace the current selection.

.topic 20054
Click this button to replace all instances of the search text with the replace text.

.topic 20055
This is the Font dialog. Place your mouse directly on the item you want to know more about.

.topic 20056
Select the font you want from the dropdown.

.topic 20057
Select the size you want your vocabulary text to have.

.topic 20058
Select the color you want your vocabulary text to have.

.topic 20059
Check if you want your vocabulary text to be bold.

.topic 20060
Check if you want your vocabulary text to be italic.

.topic 20061
Check if you want your font selection to apply to all new vocabularies you create.

.topic 20062
Shows a preview of how text will appear.

.topic 20063
Click this button to apply the selected font to your vocabulary.

.topic 20064
Click this button to close the dialog and ignore changes.

.topic 20065
This is the Sort dialog. Place your mouse directly on the item you want to know more about.

.topic 20066
Select if you want to sort the vocabulary based on the first or second column.

.topic 20067
Select if you want to sort the vocabulary in ascending or descending order.

.topic 20068
Check if you only want to sort selected rows. You must select entire rows for this option to become available.

.topic 20069
Click this button to start the sort.

.topic 20070
Click this button to close the dialog without sorting.

.topic 20071
This is the Row Height/Column Width dialog. Place your mouse directly on the item you want to know more about.

.topic 20072
Enter the row height/column width (in pixels) you want in your vocabulary.

.topic 20073
Click this button to apply the new row height/column width.

.topic 20074
Click this button to close the dialog without changing the row height/column width.

.topic 20075
This is the Question & Answer dialog. Place your mouse directly on the item you want to know more about.

.topic 20076
This is your question, i. e. the word or expression you should give the corresponding entry to. The language of the word is to the left.

.topic 20077
Enter your answer to the question in this box, i. e. the entry in the document that you think corresponds to the word or expression above. Your answer should be in the language to the left.

.topic 20078
This is the word or expression in the previous question.

.topic 20079
This is your answer to the previous question. Correct answers will be indicated by a green check mark and incorrect answers by a red X.

.topic 20080
This is the correct answer to the previous question. It will only be displayed if your answer was incorrect.

.topic 20081
This is the total number of questions in the quiz.

.topic 20082
This is the number of question you have already answered.

.topic 20083
This is the number of correct answers you have given so far.

.topic 20084
This is the number of incorrect answers you have given so far.

.topic 20085
Check if you want to hear a sound if your answer is incorrect. It can be toggled by clicking or by pressing Alt+B.

.topic 20086
Check if you want questions were you use the hint function to be counted as errors. The question will then also be included if you repeat errors. That way you can make sure you learn the answer properly. Click or press Alt+T.

.topic 20087
This button will check if your answer is correct. When you have answered all the questions the name of the button will change to Done and it will then close the dialog. Click or press Return.

.topic 20088
This button will give you the first letter of the answer. If you click it again the next letter will be given. If you have started to type an answer, all correct letters will remain and one additional letter will be given. Click or press Alt+H.

.topic 20089
If some of your answers were incorrect this button will be enabled when you have answered all the questions. You will then be asked these questions again. Click or press Alt+R.

.topic 20090
This button will close the dialog immediately and return you to the document window. Click or press Esc.

.topic 20091
This is the Multiple Choice dialog. Place your mouse directly on the item you want to know more about.

.topic 20092
These are the answer options. Select the one you think is correct.

.topic 20093
Check if you want your answer selection checked immediately. Otherwise you have to click the Check button to see if the answer is correct.

.topic 20094
This is the Study dialog. Place your mouse directly on the item you want to know more about.

.topic 20095
When you click one of the buttons, the answer will be spelled out here.

.topic 20096
Check if you want the answer to be shown automatically after the specified amount of time.

.topic 20097
Check if you want automatically shown answers to be counted as errors.

.topic 20098
Click this button if you want the question to be counted as correct.

.topic 20099
Click this button if you want the question to be counted as incorrect.


About WordQuiz

The Vocabulary Learning Tool

Version 3.0

Send e-mail for support.

Visit the web site for upgrades and additional information.


File Open MessageBox

File Already Open Messagebox

You have attempted to open a vocabulary that is already open. You can only have one copy of a vocabulary open at the same time.


Newer WordQuiz File Messagebox

You have attempted to open a file that was saved using a newer version of WordQuiz. The file will not be recognized by your version of WordQuiz. Visit the WordQuiz web site to get the newest version of the program.


File Not WordQuiz File MessageBox

File Is Not A WordQuiz File Messagebox

You have attempted to open a file that is not recognized as a WordQuiz file. The file will not be opened.


Old WordQuiz File Messagebox

You have attempted to open a file that was saved using an older version of WordQuiz. If you open the file and later save it, it will be saved using the new format.


Registration Error MessageBox

Registration Error

There was an error when attempting to enter the registration information.

You have to enter your name and registration code exactly as it appears in the information received with your code.


Save File MessageBox

Prompt to save file

You have attempted to close a vocabulary that has been changed since it was last saved, or it has never been saved before.

You have three options:
* Click Yes to save the vocabulary before it's closed.
* Click No to close the vocabulary without saving it.
* Click Cancel to leave the vocabulary open.


Shareware Reminder WordQuiz

Shareware Reminder

Please remember to register your copy of WordQuiz!

Click here for more information on how to register.